# Card Status Notification

### **Webhook** URL <a href="#payin-by-creditcard" id="payin-by-creditcard"></a>

&#x20;     REQUEST BODY SCHEMA: application/json required

### **Webhook Body(Notify)**

<table><thead><tr><th width="259">Name</th><th>Type</th><th>Description</th></tr></thead><tbody><tr><td>partner_id</td><td>string</td><td>Assigned by Pagsmile</td></tr><tr><td>timestamp<mark style="color:red;">*</mark></td><td>string</td><td>yyyy-MM-dd HH:mm:ss - Max. 19 chars -</td></tr><tr><td>version<mark style="color:red;">*</mark></td><td>string</td><td>Fixed value 1.0</td></tr><tr><td>random_key</td><td>string</td><td>Reserved fields</td></tr><tr><td>sign_type</td><td>string</td><td><p>Reserved fields，</p><p>If the field is empty, no encryption is required</p></td></tr><tr><td>request_id<mark style="color:red;">*</mark></td><td>string</td><td>Request serial number, globally unique.</td></tr><tr><td>notify_type<mark style="color:red;">*</mark></td><td>integer</td><td>Refer to <a href="/pages/ystsrgyoK8oet6AAmFBV">webhookType</a></td></tr><tr><td>biz_data<mark style="color:red;">*</mark></td><td>obj</td><td>Business params</td></tr></tbody></table>

**biz\_data**

| Name                                          | Type        | Description                                                                                          |
| --------------------------------------------- | ----------- | ---------------------------------------------------------------------------------------------------- |
| card\_token<mark style="color:red;">\*</mark> | string      | Card token                                                                                           |
| card\_pan<mark style="color:red;">\*</mark>   | string      | Card pan                                                                                             |
| pre\_status<mark style="color:red;">\*</mark> | integer     | <p> Status before operate</p><p>  refer to :<a href="/pages/0iCbf7FR4EF4xq7Ftemh">cardStatus</a></p> |
| status<mark style="color:red;">\*</mark>      | integer     | <p>Card  status. </p><p>refer to :<a href="/pages/0iCbf7FR4EF4xq7Ftemh">cardStatus</a></p>           |
| desc                                          | string(128) | Description                                                                                          |

### Response <a href="#example" id="example"></a>

http code :

{% tabs %}
{% tab title="200～299:success:success" %}

{% endtab %}

{% tab title="other fail" %}
Retry 6 times.\
Delay time：10 / 20 / 30 / 60 / 240 / 480 | m
{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pagsmile.com/issuing-card-api/business/webhook/card-status-notification.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
